#ifndef XMATERIALVERTEXSHADERPROGRAM_H
#define XMATERIALVERTEXSHADERPROGRAM_H

#include "xasset.h"
#include "xd3dvertexshader.h"
#include "xgfxvertexshaderloaddef.h"

class XMaterialVertexShaderProgram : public XAsset
{
public:
    XMaterialVertexShaderProgram();

    virtual void Clear() override;
    virtual void ParseData(QDataStream *aStream) override;

private:
    std::shared_ptr<XD3DVertexShader> mVertexShader;
    XGfxVertexShaderLoadDef mLoadDef;
};

#endif // XMATERIALVERTEXSHADERPROGRAM_H
